import type { UploadFileParams } from '@/types/axios'
import type { AxiosProgressEvent } from 'axios'
import { useGlobSetting } from '@/hooks/setting'
import { defHttp } from '@/utils/http/axios'

const { uploadUrl = '' } = useGlobSetting()

export interface UploadApiResult {
  message: string
  code: number
  url: string
}

/**
 * @description: Upload interface
 */
export function uploadApi(params: UploadFileParams, onUploadProgress: (progressEvent: AxiosProgressEvent) => void) {
  return defHttp.uploadFile<UploadApiResult>(
    {
      url: uploadUrl,
      onUploadProgress,
    },
    params,
  )
}
