import type { Department, LazyGetDeptListParams } from './types'
import { defHttp } from '@/utils/http/axios'

export function lazyGetDeptList(params?: LazyGetDeptListParams) {
  return defHttp.get<Department[]>({
    url: '/baymax-system/dept/lazy-list',
    params,
  })
}

export function createDept(data: Partial<Department>) {
  return defHttp.post({
    url: '/baymax-system/dept/submit',
    data,
  })
}

export function updateDept(data: Partial<Department>) {
  return defHttp.post({
    url: '/baymax-system/dept/submit',
    data,
  })
}

export function deleteDept(id: string) {
  return defHttp.post({
    url: `/baymax-system/dept/remove?id=${id}`,
  })
}

export function getDeptTree(params?: { tenantId: string }) {
  return defHttp.get<{ id: string, title: string }[]>({
    url: '/baymax-system/dept/tree',
    params,
  })
}
