import type { GetDictbizChildListParams, GetDictbizListParams, SystemDictbiz, SystemDictbizChild, SystemDictbizTree } from './types'
import { defHttp } from '@/utils/http/axios'

export function getDictbizList(params: GetDictbizListParams) {
  return defHttp.get<PageResult<SystemDictbiz>>({
    url: '/baymax-system/dict-biz/parent-list',
    params,
  })
}

export function detailDictbiz(id: string) {
  return defHttp.get<SystemDictbiz>({
    url: `/baymax-system/dict-biz/detail?id=${id}`,
  })
}

export function createDictbiz(data: Partial<SystemDictbiz>) {
  return defHttp.post({
    url: '/baymax-system/dict-biz/submit',
    data,
  })
}

export function updateDictbiz(data: Partial<SystemDictbiz>) {
  return defHttp.post({
    url: '/baymax-system/dict-biz/submit',
    data,
  })
}

export function deleteDictbiz(ids: string[]) {
  return defHttp.post({
    url: `/baymax-system/dict-biz/remove?ids=${ids}`,
  })
}

export function dictbizTree(code: string) {
  return defHttp.get<SystemDictbizTree>({
    url: `/baymax-system/dict-biz/tree?code=${code}`,
  })
}

export function getDictbizChildList(params: GetDictbizChildListParams) {
  return defHttp.get<PageResult<SystemDictbizChild>>({
    url: '/baymax-system/dict-biz/child-list',
    params,
  })
}
