import type { GetAplListParams, GetErrorListParams, GetUsualListParams, SystemErrorApi, SystemLogApi, SystemLogUsual } from './types'
import { defHttp } from '@/utils/http/axios'

export function getLogUsualList(params: GetUsualListParams) {
  return defHttp.get<PageResult<SystemLogUsual>>({
    url: '/hulk-log/usual/list',
    params,
  })
}

export function getLogApiList(params: GetAplListParams) {
  return defHttp.get<PageResult<SystemLogApi>>({
    url: '/hulk-log/api/list',
    params,
  })
}

export function getLogErrorList(params: GetErrorListParams) {
  return defHttp.get<PageResult<SystemErrorApi>>({
    url: '/hulk-log/error/list',
    params,
  })
}
