export interface GetMenuListParams {
  name?: string
  code?: string
}

export enum SystemMenuTypeEnum {
  DIR = 0, // 目录
  MENU = 1, // 菜单
  BUTTON = 2, // 按钮
}

export interface MenuItem {
  id: string
  parentId: string
  name: string
  component: string
  componentName?: string
  path: string
  icon: string
  sort: number
  children: MenuItem[]
  code: string
  type: SystemMenuTypeEnum
  visible: BooleanFlag
  keepAlive: BooleanFlag
}
