import type { GetParamListParams, Param } from './types'
import { defHttp } from '@/utils/http/axios'

export function getParamList(params: GetParamListParams) {
  return defHttp.get({
    url: '/baymax-system/param/list',
    params,
  })
}

export function createParam(data: Partial<Param>) {
  return defHttp.post({
    url: '/baymax-system/param/submit',
    data,
  })
}

export function updateParam(data: Partial<Param>) {
  return defHttp.post({
    url: '/baymax-system/param/submit',
    data,
  })
}

export function deleteParam(ids: string[]) {
  return defHttp.post({
    url: `/baymax-system/param/remove?ids=${ids}`,
  })
}
