import type { GetPostListParams, SystemPost } from './types'
import { defHttp } from '@/utils/http/axios'

export function getPostList(params: GetPostListParams) {
  return defHttp.get<PageResult<SystemPost>>({
    url: '/baymax-system/post/list',
    params,
  })
}

export function detailPost(id: string) {
  return defHttp.get<SystemPost>({
    url: `/baymax-system/post/detail?id=${id}`,
  })
}

export function createPost(data: Partial<SystemPost>) {
  return defHttp.post({
    url: '/baymax-system/post/submit',
    data,
  })
}

export function updatePost(data: Partial<SystemPost>) {
  return defHttp.post({
    url: '/baymax-system/post/submit',
    data,
  })
}

export function deletePost(ids: string[]) {
  return defHttp.post({
    url: `/baymax-system/post/remove?ids=${ids}`,
  })
}

export function getPostTree(params: { tenantId: string }) {
  return defHttp.get({
    url: '/baymax-system/post/select',
    params,
  })
}
