import type { Region } from './types'
import { defHttp } from '@/utils/http/axios'

export function lazyGetRegionList(parentCode?: string) {
  return defHttp.get<Region[]>({
    url: '/baymax-system/region/lazy-tree',
    params: {
      parentCode,
    },
  })
}

export function getRegionDetail(code: string) {
  return defHttp.get<Region>({
    url: `baymax-system/region/detail?code=${code}`,
  })
}

export function updateRegion(data: Partial<Region>) {
  return defHttp.post({
    url: '/baymax-system/region/submit',
    data,
  })
}

export function deleteRegion(id: string) {
  return defHttp.post({
    url: `/baymax-system/region/remove?id=${id}`,
  })
}

export function exportRegion() {
  return defHttp.get({
    url: '/baymax-system/region/export-region',
    responseType: 'blob',
  })
}
