import type { GetRoleListParams, GrantParams, MenuTreeNode, Role } from './types'
import { defHttp } from '@/utils/http/axios'

export function getRoleList(params: GetRoleListParams) {
  return defHttp.get<Role[]>({
    url: '/baymax-system/role/list',
    params,
  })
}

export function createRole(data: Partial<Role>) {
  return defHttp.post({
    url: '/baymax-system/role/submit',
    data,
  })
}

export function updateRole(data: Partial<Role>) {
  return defHttp.post({
    url: '/baymax-system/role/submit',
    data,
  })
}

export function deleteRole(id: string) {
  return defHttp.post({
    url: `/baymax-system/role/delete?id=${id}`,
  })
}

export function getRoleTree(params?: { tenantId: string }) {
  return defHttp.get<{ id: string, title: string }[]>({
    url: '/baymax-system/role/tree',
    params,
  })
}

export function getMenuTree() {
  return defHttp.get<{ menu: MenuTreeNode[] }>({
    url: '/baymax-system/menu/grant-tree',
  })
}

export function getRoleTreeKeys(roleIds: string) {
  return defHttp.get<{ menu: string[] }>({
    url: `/baymax-system/menu/role-tree-keys?roleIds=${roleIds}`,
  })
}

export function updateGrant(data: GrantParams) {
  return defHttp.post({
    url: `/baymax-system/role/grant`,
    data,
  })
}
