import type { GetTenantListParams, Tenant } from './types'
import { defHttp } from '@/utils/http/axios'

export function getTenantList(params: GetTenantListParams) {
  return defHttp.get<PageResult<Tenant>>({
    url: '/baymax-system/tenant/list',
    params,
  })
}

export function updateTenant(data: Tenant) {
  return defHttp.post({
    url: '/baymax-system/tenant/submit',
    data,
  })
}

export function createTenant(data: Tenant) {
  return defHttp.post({
    url: '/baymax-system/tenant/submit',
    data,
  })
}

export function detailTenant(id: string) {
  return defHttp.get({
    url: `/baymax-system/tenant/detail?id=${id}`,
  })
}

export function deleteTenant(id: string) {
  return defHttp.post({
    url: `/baymax-system/tenant/remove?id=${id}`,
  })
}

export function settingTenant(data: Partial<Tenant>) {
  return defHttp.post({
    url: `/baymax-system/tenant/setting`,
    data,
  })
}

export function getAllTenants() {
  return defHttp.get({
    url: '/baymax-system/tenant/select',
  })
}
