import type { FunctionalComponent, VNode } from 'vue'

import { isString } from '@/utils/is'
import { h } from 'vue'

export const TreeIcon: FunctionalComponent = ({ icon }: { icon: VNode | string | undefined }) => {
  if (!icon)
    return null
  if (isString(icon))
    return h('span', { class: `mr-1 ${icon}` })

  return h(icon)
}
