import { ThemeEnum } from '@/enums/appEnum'
import { updateHeaderBgColor, updateSidebarBgColor } from '@/logics/theme/updateBackground'
import { useAppStoreWithOut } from '@/store/modules/app'
import { useDark, useToggle } from '@vueuse/core'

const isDark = useDark({
  valueDark: 'dark',
  valueLight: 'light',
  onChanged(isDark, defaultHandler, mode) {
    useAppStoreWithOut().setDarkMode(isDark ? ThemeEnum.DARK : ThemeEnum.LIGHT)
    defaultHandler(mode)
    updateHeaderBgColor()
    updateSidebarBgColor()
  },
})
const toggleDark = useToggle(isDark)

export function updateDarkTheme(mode: string | null = 'light') {
  toggleDark(mode === 'dark')
}
