import type { AppRouteModule } from '@/router/types'

import { t } from '@/hooks/web/useI18n'
import { LAYOUT } from '@/router/constant'

const profile: AppRouteModule = {
  path: '/profile',
  name: 'Profile',
  component: LAYOUT,
  parentId: '0',
  redirect: '/profile/index',
  meta: {
    title: '',
    hideMenu: true,
  },
  children: [
    {
      path: 'index',
      name: 'ProfileIndex',
      component: () => import('@/views/base/profile/index.vue'),
      meta: {
        title: t('routes.basic.profile'),
      },
    },
  ],
}

export default profile
