import type { BasicColumn, FormSchema } from '@/components/Table'

export const columns: BasicColumn[] = [
  {
    title: '参数名称',
    dataIndex: 'paramName',
  },
  {
    title: '参数键名',
    dataIndex: 'paramKey',
  },
  {
    title: '参数键值',
    dataIndex: 'paramValue',
  },
  {
    title: '备注',
    dataIndex: 'remark',
  },
]

export const searchFormSchema: FormSchema[] = [
  {
    label: '参数名称',
    field: 'paramName',
    component: 'Input',
    colProps: {
      span: 6,
    },
  },
  {
    label: '参数键名',
    field: 'paramKey',
    component: 'Input',
    colProps: {
      span: 6,
    },
  },
]

export const formSchema: FormSchema[] = [
  {
    label: '参数名称',
    field: 'paramName',
    fields: ['id'],
    required: true,
    component: 'Input',
  },
  {
    label: '参数键名',
    field: 'paramKey',
    required: true,
    component: 'Input',
  },
  {
    label: '参数键值',
    field: 'paramValue',
    required: true,
    component: 'InputTextArea',
    componentProps: {
      rows: 8,
    },
  },
  {
    label: '备注',
    field: 'remark',
    component: 'InputTextArea',
    componentProps: {
      rows: 8,
    },
  },
]
