import { defineConfig, presetAttributify, presetIcons, presetTypography, presetUno } from 'unocss'
import { getIcons } from './src/components/Icon/src/icons'

export default defineConfig({
  presets: [
    presetUno(),
    presetTypography(),
    presetIcons({
      extraProperties: {
        'font-size': '16px',
        'display': 'inline-block',
        'vertical-align': 'middle',
      },
    }),
    presetAttributify(),
  ],
  theme: {
    colors: {
      primary: '#0960bd',
    },
  },
  safelist: [
    ...getIcons(),
  ],
})
